Welcome to PhantomPilots.com

Sign up for a weekly email of the latest drone news & information

Should I update firmware

Discussion in 'Pro/Adv Discussion' started by myeyecu, Jul 18, 2015.

  1. myeyecu

    Joined:
    Jul 14, 2014
    Messages:
    18
    Likes Received:
    1
    My P3 A is only one month old as of 7/10. When I go into DJI App (android), it indicates that FW 1.1.5 is what is on it. So far, I'am happy with the way it flies and am wondering it there is any reason to update to 1.2.8.

    If I do update, will I have to go incrementally or can I go straight from 1.1.5 to 1.2.8?
     
  2. phantom3menace

    Joined:
    Jul 10, 2015
    Messages:
    208
    Likes Received:
    92
    Does your Phantom fly good? If so, don't do the update. Newer software isn't always better. The app on mine keeps bugging me to update my P3P but I refuse to because it flies perfect as is.
     
  3. bobmyers

    Joined:
    May 10, 2015
    Messages:
    3,611
    Likes Received:
    866
    Location:
    San Antonio, TX
    You can go from 1.1.5 to 1.1.9 to 1.2.8-- I don't believe you can go from 1.1.5 to 1.2.8.

    There have been issues on some upgrading to 1.2.8-- and DJI is supposed to be coming out with a "fix all" soon-- the word on the street. I am still at 1.1.9 with no issues and plan to stay there until the "fix all" comes out. If you are flying with no issues, I would recommend not upgrading firmware just yet. There are varying opinions on this forum regarding that-- so you will have to make up your own mind. IMHO, "don't try to fix it if it is not broke"
     
  4. myeyecu

    Joined:
    Jul 14, 2014
    Messages:
    18
    Likes Received:
    1
    I think I will just leave it alone on 1.1.5. It seems to fly well for me. I have the HDMI board on the way to hopefully deal with the video lag. I see too many posting problems with updates. Thanks for your input guys.
     
  5. 1vision

    Joined:
    Jul 7, 2015
    Messages:
    17
    Likes Received:
    2
    Update to 1.1.8 or 1.1.9, they are available for dl at Dji. Most people love 1.1.8, my p3p came with 1.1.9. No prob. Don't do 1.2.8